Summary: RDP client for Windows NT/2000 Terminal Server
Summary(nl): RDP client voor Windows NT/2000 Terminal Server
Vendor: Matt Chapman <matthewc@cse.unsw.edu.au>
URL: http://www.rdesktop.org
Packager: Jacco de Leeuw <jacco2@dds.nl>
%define name rdesktop
%define version 1.1.0
%define release jdl1

# Are you building on SuSE?
# Set here (1=yes 0=no):
%define suse 0

# Are you building on Mandrake8.x?
# Set here (1=yes 0=no):
%define mandrake8 0

# Do you want to link against a static libcrypto (OpenSSL)?
# Set here (1=yes 0=no):
%define static_libcrypto 0
# Or better yet, rebuild the RPM with:
# rpm -ba rdesktop.spec --define "static_openssl 1"
%{?static_openssl:%define static_libcrypto 1}

Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.rdesktop.org/%{name}-%{version}.tar.gz
Source1: rdesktop-README-rpm
Source2: rdesktop-LICENSE
Source3: rdesktop-OpenSSL-LICENSE
Patch0:  rdesktop110-rpm.patch
%if %{static_libcrypto}
Copyright: GPL; BSD-style (see LICENSE)
%else
Copyright: GPL
%endif
Group: Applications/Networking
BuildRoot: %{_tmppath}/%{name}-buildroot

%if %{suse}
Buildrequires: xdevel glib openssl
Requires: xf86
%else
Buildrequires: XFree86-devel glibc-devel openssl-devel
Requires: XFree86
%endif

%if %{static_libcrypto}
BuildRequires: sed
%else
Requires: openssl
%endif

# Mandrake bug ID #5365
%if %{static_libcrypto} && %{mandrake8}
Buildrequires: libopenssl0-devel >= 0.9.6b-2mdk
%endif

%description
rdesktop is an open source client for Windows NT and Windows 2000
Terminal Server, capable of natively speaking its Remote Desktop
Protocol (RDP) in order to present the user's Windows desktop.
Unlike Citrix ICA, no server extensions are required.
   
rdesktop was written by Matt Chapman (matthewc@cse.unsw.edu.au) based
on various scarce documentation, wire sniffs, and trial-and-error. It
is released under the GNU Public Licence (GPL). Please send feedback,
bug reports and patches to the author, but check the rdesktop mailinglist
first. Several authors on this list contributed to the 'unified patch'
(maintained by Peter Bystroem) which is used in this release.
%if %{static_libcrypto}
Statically linked against OpenSSL. 
%endif
%description -l nl
rdesktop is een open source client voor Windows NT en Windows 2000
Terminal Server. Het is een implementatie van het Remote Desktop
Protocol (RDP), waarmee men in staat wordt gesteld om zijn of haar
Windows sessie op de Terminal Server te gebruiken op niet-Windows
platformen. In tegenstelling tot het ICA protocol van Citrix is 
er geen extra software aan de kant van de server vereist.
   
rdesktop is geschreven door Matt Chapman (matthewc@cse.unsw.edu.au)
aan de hand van de beperkte documentatie die beschikbaar was, het
analyseren van netwerkverkeer en veel experimenteren. Het is beschikbaar
onder de GNU Public Licence (GPL). Reakties, bugmeldingen en patches
kunt u sturen naar de auteur, maar kijk eerst naar de rdesktop
rondzendlijst. Diverse auteurs op deze lijst hebben bijgedragen aan
de 'samengevoegde patch' (samengesteld door Peter Bystroem) welke
gebruikt is in deze RPM.
%if %{static_libcrypto}
Statisch gelinkt met OpenSSL. 
%endif

%prep
rm -rf $RPM_BUILD_ROOT
%setup
%patch0 -p0 -b .rpm
./configure --with-openssl
cp -p %{SOURCE1} README-rpm
%if ! %{static_libcrypto}
cp -p %{SOURCE2} LICENSE
%else
cp -p %{SOURCE3} LICENSE
%endif

%build
%if %{static_libcrypto}
sed -e "s|-lcrypto|/usr/lib/libcrypto.a|g" Makeconf > %{_tmppath}/rdesktopMakeconf.tmp
mv %{_tmppath}/rdesktopMakeconf.tmp Makeconf
%endif
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 rdesktop $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COPYING LICENSE README-rpm
%{_bindir}/rdesktop

%changelog
* Sat Sep 22 2001 Jacco de Leeuw <jacco2@dds.nl>
- Update to rdesktop 1.1.0.

* Fri Sep 21 2001 Jacco de Leeuw <jacco2@dds.nl>
- Update to 19-6-7. Stole some ideas from Dominik Mierzejewski.
  Exchanged perl for sed, since it was a bit overkill.

* Tue Jun 22 2001 Jacco de Leeuw <jacco2@dds.nl>
- Fixes cache font problem, Portuguese keyboard

* Sun Jun 17 2001 Jacco de Leeuw <jacco2@dds.nl>
- Including OpenSSL license when statically linking against OpenSSL.
  OpenSSL is licenced under a dual licence: its own and SSLeay's.

* Sat Jun 16 2001 Jacco de Leeuw <jacco2@dds.nl>
- Updated to unified patch 19-6-5, should fix MIPS and ctrl1 problem.
- Minor correction in "statically linked with" RPM routine.

* Wed May 30 2001 Jacco de Leeuw <jacco2@dds.nl>
- Updated to unified patch 19-6-4 (still does not work on MIPS?).
- Use compiler optimisations from RPM (i.e. distribution maker knows best)

* Thu May 19 2001 Jacco de Leeuw <jacco2@dds.nl>
- Updated to unified patch 19-6-3.
- Added support for SuSE and Mandrake 8. Package names differ from RedHat's,
  but unfortunately they do not use "Provides: <oldname>".

* Thu May 14 2001 Jacco de Leeuw <jacco2@dds.nl>
- Updated to unified patch 19-6-2. PPC patch included.
 
* Thu May 10 2001 Jacco de Leeuw <jacco2@dds.nl>
- Modelling specfile more after Mandrake conventions.
 
* Sun May 6 2001 Jacco de Leeuw <jacco2@dds.nl>
- Updated to unified patch 19-6-1, which contains both of Brad's patches
 
* Sun May 6 2001 Jacco de Leeuw <jacco2@dds.nl>
- Added another patch by Brad. This one removes the OpenSSL parts, 
  effectively rendering rdesktop completely GPL!
 
* Sat May 5 2001 Jacco de Leeuw <jacco2@dds.nl>
- Added Bradley Bell's patch, exchanging non-free parts for GNU MP.
 
* Thu Apr 26 2001 Jacco de Leeuw <jacco2@dds.nl>
- Initial build
 
